import request from '@/utils/request'

// 查询品牌打造奖补列表
export function listBrandingAward(query) {
  return request({
    url: '/system/brandingAward/list',
    method: 'get',
    params: query
  })
}

// 查询品牌打造奖补详细
export function getBrandingAward(id) {
  return request({
    url: '/system/brandingAward/' + id,
    method: 'get'
  })
}

// 新增品牌打造奖补
export function addBrandingAward(data) {
  return request({
    url: '/system/brandingAward',
    method: 'post',
    data: data
  })
}

// 修改品牌打造奖补
export function updateBrandingAward(data) {
  return request({
    url: '/system/brandingAward',
    method: 'put',
    data: data
  })
}

// 删除品牌打造奖补
export function delBrandingAward(id) {
  return request({
    url: '/system/brandingAward/' + id,
    method: 'delete'
  })
}
